%define 	fname	CherryPy
%define		module	cherrypy
#
Summary:	A pythonic, object-oriented web development framework
Summary(pl.UTF-8):	Pythonowy, zorientowany obiektowo szkielet do tworzenia WWW
Name:		python-%{module}
Version:	3.1.2
Release:	4
License:	BSD
Group:		Development/Languages/Python
Source0:	http://download.cherrypy.org/%{fname}/%{version}/%{fname}-%{version}.tar.gz
# Source0-md5:	15c60b3a91886b9a304d366fba93669c
#Patch0:		%{name}-autoreload.patch
URL:		http://www.cherrypy.org
BuildRequires:	rpmbuild(macros) >= 1.710
BuildRequires:	python >= 1:2.5
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-modules
Requires:	python-devel-tools
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CherryPy is a pythonic, object-oriented web development framework.

CherryPy allows developers to build web applications in much the same
way they would build any other object-oriented Python program. This
usually results in smaller source code developed in less time.

CherryPy is now more than three years old and it is has proven very
fast and stable. It is being used in production by many sites, from
the simplest ones to the most demanding ones.

Oh, and most importantly: CherryPy is fun to work with :-)

%description -l pl.UTF-8
CherryPy to pythonowy, obiektowo zorientowany szkielet do tworzenia
WWW.

CherryPy pozwala programistom tworzyć aplikacje WWW w sposób bardzo
podobny do tworzenia każdego innego obiektowo zorientowanego programu
w Pythonie. Wynikiem tego jest zwykle mniejszy kod źródłowy stworzony
w krótszym czasie.

CherryPy ma już nieco ponad trzy lata i okazał się być bardzo szybki i
stabilny. Jest używany produkcyjnie przez wiele serwisów, od
najprostszych do bardziej wymagających.

I najważniejsze - praca z CherryPy jest zabawą :-)

%package examples
Summary:	Example files for CherryPy
Summary(pl.UTF-8):	Pliki przykładów dla CherryPy
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}

%description examples
Example files for CherryPy.

%description examples -l pl.UTF-8
Pliki przykładów dla CherryPy.

%prep
%setup -q -n %{fname}-%{version}
#%patch0 -p1

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%py_install

rm -rf $RPM_BUILD_ROOT%{py_sitescriptdir}/%{module}/tutorial

find $RPM_BUILD_ROOT%{py_sitescriptdir}/%{module}/ -name \*.py | xargs rm -f

cp -r cherrypy/tutorial $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.txt
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/CherryPy*
%attr(755,root,root) %{_bindir}/cherryd

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}
%changelog
* Mon Nov 30 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-cherrypy.git;a=log;h=master

* Mon Nov 30 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> dfdd65e
- release 4 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 8250c6f
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 55b851c
- release 3 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 61fbf12
- automatic change: use py_build/py_install macros

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 5b8ada2
- added BR: python-modules, rpm-pythonprov

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> bde7f8a
- release 2

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> e69a6ad
- drop obsolete files

* Thu Apr 23 2009 Artur Frysiak <artur@frysiak.net> 7fb3632
- updated to 3.1.2

* Tue Jan 06 2009 witekfl <witekfl@pld-linux.org> 4da35cf
- up to 3.1.1

* Tue Jan 06 2009 witekfl <witekfl@pld-linux.org> ec5b31b
- up to 3.0.0 (The latest stable is 3.1.1, but I need 3.0.0 for now)
- rel 1

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> bc26094
- release 4

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> f00aab3
- tabs in preamble

* Tue Jan 02 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 7f1315b
- rel 3

* Fri Oct 27 2006 Artur Frysiak <artur@frysiak.net> 3e4df21
- encode spec in UTF-8
- remove manual egg-info generation and require python 2.5 for proper egg-info

* Tue May 30 2006 Elan Ruusamäe <glen@pld-linux.org> fe5c680
- add CVE ref to 2.1.1 release

* Tue Apr 25 2006 Artur Frysiak <artur@frysiak.net> 177b6fb
- updated to 2.2.1

* Tue Jan 10 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> c6bc0ef
- up to 2.1.1; SECURITY bugfix [CVE-2006-0847]

* Sat Dec 24 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 8a0d7a9
- rebuild

* Tue Dec 20 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 1466fef
- workaround for software which requires this package in egg format

* Tue Dec 20 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 1608088
- fix autoreload for case where there is no py files

